<?php
	/*********************/
	/*********************/
	/****** HEXACORE *****/
	/*********************/
	/*********************/

	//Mit MSSQL Verbinden.
	$mssql_handle = mssql_connect("Cloud-PC\SQLEXPRESS", "sa", "540Ac2oMw1w4cX");
	$mssql_select = mssql_select_db("World00_Character1", $mssql_handle);

	//Überprüfen ob die verbindung zu MSSQL in ordnung ist.
	if ($mssql_handle AND $mssql_select) {

		//label fur user ausgeben.
		echo '<h1>Top Gilden</h1>';
		
		//gilden aus der datenbank auslesen.
		$wahle_gilden = mssql_query("SELECT [nNO], [sName], [nType], [nWarWinCount], [nWarLoseCount] FROM [dbo].[tGuild] ORDER BY [nNo] DESC");
		
		//überprüfen ob das auslesen erfolg hatte.
		if (is_resource($wahle_gilden)) {
			
			//die gilden auf der webseite ausgeben.
			echo '<table width="100%">';
				echo '<tr>';
					echo '<td>No</td>';
					echo '<td>Name</td>';
					echo '<td>PVP</td>';
					echo '<td>Gewonnen</td>';
					echo '<td>Verloren</td>';
				echo '</tr>';
				for ($int=1; $ausgabe = mssql_fetch_assoc($wahle_gilden); $int++) {
					
					//den pvp typ switchen
					switch($ausgabe['nType'])
					{
						case 0;
							$gilden_pvp = 'Nein';
						break;
						
						case 1;
							$gilden_pvp = 'Ja';
						break;
						
						default:
							$gilden_pvp = 'unbekannt';
						break;
					}
					//nun die gilden ausgeben
					echo '<tr>';
						echo '<td>'.$int.'</td>';
						echo '<td>'.$ausgabe['sName'].'</td>';
						echo '<td>'.$gilden_pvp.'</td>';
						echo '<td>'.$ausgabe['nWarWinCount'].'</td>';
						echo '<td>'.$ausgabe['nWarLoseCount'].'</td>';
					echo '</tr>';
				}
			echo '</table>';

			//verbindung schliessen.
			mssql_close($mssql_handle);


		}else{
			echo 'Query has failed!';
		}
	}else{
		echo 'Connection to Database has failed!';
	}
?>